org.codehaus.classworlds

## Class ConfiguratorAdapter

- java.lang.Object
- - org.codehaus.classworlds.Configurator
  - - org.codehaus.classworlds.ConfiguratorAdapter

Deprecated.

    @Deprecated
    public class ConfiguratorAdapter
    extends Configurator

Created by IntelliJ IDEA.

### Method Summary

Methods
`void` `associateRealms()` Deprecated. Associate parent realms with their children.
`void` `configureAdapter(InputStream is)` Deprecated.
`static ConfiguratorAdapter` `getInstance(Configurator newConfig, ClassWorld world)` Deprecated.
`static ConfiguratorAdapter` `getInstance(Configurator newConfig, Launcher launcher)` Deprecated.

### Methods inherited from class org.codehaus.classworlds.Configurator

`configure, filter, loadGlob, loadGlob, setClassWorld`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static ConfiguratorAdapter getInstance(Configurator newConfig,
                                  Launcher launcher)

Deprecated.

#### getInstance

    public static ConfiguratorAdapter getInstance(Configurator newConfig,
                                  ClassWorld world)

Deprecated.

#### associateRealms

    public void associateRealms()

Deprecated.
Description copied from class: `Configurator`
Associate parent realms with their children.

Overrides:
  `associateRealms` in class `Configurator`

#### configureAdapter

    public void configureAdapter(InputStream is)
                          throws IOException,
                                 MalformedURLException,
                                 ConfigurationException,
                                 DuplicateRealmException,
                                 NoSuchRealmException

Deprecated.

Throws:
  `IOException`
  `MalformedURLException`
  `ConfigurationException`
  `DuplicateRealmException`
  `NoSuchRealmException`